forum header v1

normal Blofeld desktop firmware conundrum

More
5 months 2 days ago #1 by wavesequence
What is really the final version of Blofeld firmware? 1.22 or 1.24?

I'm putting this question because I bought my Blofeld desktop almost one year ago (Dec 2016) and it's firmware version is 1.22.
About the firmware 1.23 I heard some people who complained about its bugginess, but on the other hand other people bought a second hand Blofeld desktop running firmware version 1.23 and - apparently - had no issues.
Recently I talked with a Blofeld desktop newcomer who bought it this year (2017) and and it's firmware version is 1.24.

As far as I know FW 1.23 solved the single sample loading issue (i.e. loading a single sample would erase all the residing others).

Can Waldorf say a final word about this?

Ohne Musik wäre das Leben ein Irrtum

Please Log in or Create an account to join the conversation.

More
4 months 2 weeks ago #2 by ben1210
Hi,

I have recently bought the desktop and it shipped with 1.24. I had a conversation with Waldorf as i am having issues with poor audio signal when using the clock delay and triple fx when using an external clock source and was enquiring whether this might be resolved by installing an older version of the firmware (1.22). They were unable to resolve the issue, i am using external effects instead (which is a little annoying) but this is an extract from the conversation...

"If you have a brand new Blofeld, this unit has a new hardware controller IC inserted. This controller needs a special OS (1.24). This version is 100% equal to 1.22, only different is the controller integration"
The following user(s) said Thank You: megamarkd, wavesequence

Please Log in or Create an account to join the conversation.

More
4 months 2 weeks ago #3 by megamarkd
Thank you ben1210, you have cleared up a long going mystery about the 1.24 firmware!

Please Log in or Create an account to join the conversation.

More
4 months 2 weeks ago #4 by wavesequence
Thanks ben1210 for your clarification. I suspected that newer Blofelds had different components that need an updated firmware, although "music is always the same" :lol:

Thus the so greatly awaited way to stack samples with Spectre, loading them by small groups instead of in a single (time consuming) pass, will never be avaliable. It's a pity... anyway Blofeld is this way, take it or leave it.

Ohne Musik wäre das Leben ein Irrtum

Please Log in or Create an account to join the conversation.

More
4 months 2 weeks ago #5 by ben1210
I am a very new Blofeld user, so I'm sure that I have grasped what you are saying correctly, but is the bottom section of this blog post related (the "secret sauce"!)
www.google.co.uk/amp/s/modulatethis.com/...sample-transfer/amp/
I'm referring to the part which begins "NEW!!! – USING SPECTRE TO TRANSMIT ONLY MISSING PROGRAMS AND SAMPLES IN A PROGRAM LIST". Obviously this is a 3 year old blog post referring to the 1.23 fw so no longer "NEW!!!"
The following user(s) said Thank You: wavesequence

Please Log in or Create an account to join the conversation.

More
4 months 2 weeks ago - 4 months 2 weeks ago #6 by wavesequence

ben1210 wrote: I am a very new Blofeld user, so I'm sure that I have grasped what you are saying correctly, but is the bottom section of this blog post related (the "secret sauce"!)
www.google.co.uk/amp/s/modulatethis.com/...sample-transfer/amp/
I'm referring to the part which begins "NEW!!! – USING SPECTRE TO TRANSMIT ONLY MISSING PROGRAMS AND SAMPLES IN A PROGRAM LIST". Obviously this is a 3 year old blog post referring to the 1.23 fw so no longer "NEW!!!"

ben1210
You understood correctly, but the conundrum remains. In fact the post refers to 1.23 Firewire version Waldorf withdrawn! :woohoo:
Thus I'm in doubt whether upgrade my Blofeld at my own risk or remain stuck on 1.22.

Ohne Musik wäre das Leben ein Irrtum
Last edit: 4 months 2 weeks ago by wavesequence.

Please Log in or Create an account to join the conversation.

Moderators: Pablo